### Method

# Gtk TreeViewColumnset_cell_data_func

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_set_cell_data_func (
      GtkTreeViewColumn* tree_column,
      GtkCellRenderer* cell_renderer,
      GtkTreeCellDataFunc func,
      gpointer func_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the `GtkTreeCellDataFunc` to use for the column.

This function is used instead of the standard attributes mapping for setting the column value, and should set the value of `tree_column`‘s cell renderer as appropriate. `func` may be `NULL` to remove an older one.

Deprecated since: 4.10

Use GtkColumnView instead.

#### Parameters

`cell_renderer`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`

  The data is owned by the caller of the method.

`func`

  Type: `GtkTreeCellDataFunc`

  The `GtkTreeCellDataFunc` to use.

  The argument can be `NULL`.

`func_data`

  Type: `gpointer`

  The user data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  The destroy notification for `func_data`.